@if (gridDisplay && gridNode && viewport && viewport.name === 'mainViewport') {
  <div
    class="full-width enable-user-selection"
    [sqtmCoreGridHoverRow]="gridNode.id"
    [class.selected]="
      gridDisplay.style.highlightSelectedRows && gridNode.selected
    "
    [class.grid-row__underline]="gridDisplay.style.showLines"
    [attr.data-test-row-id]="gridNode.id"
    [attr.data-test-parent-id]="gridNode.dataRow.parentRowId"
    [attr.data-test-dnd-container]="gridNode.showAsDndTarget"
  >
    <div
      class="flex-row standard-row"
      [style.height]="gridDisplay.rowHeight + 'px'"
    >
      @for (
        columnDisplay of viewport.columnDisplays;
        track trackByFn($index, columnDisplay)
      ) {
        @if (shouldDrawCell(columnDisplay)) {
          <sqtm-core-grid-cell
            [gridNode]="gridNode"
            [columnDisplay]="columnDisplay"
            [gridDisplay]="gridDisplay"
            [viewportName]="viewport.name"
            [attr.data-test-cell-id]="columnDisplay.id"
            [attr.data-test-cuf-cell-id]="columnDisplay.cufId"
            [attr.data-column-id]="columnDisplay.id"
          ></sqtm-core-grid-cell>
        }
      }
    </div>
    <div #details>
      @if (gridNode.dataRow.state === 'open') {
        <sqtm-app-requirement-version-details
          [requirementVersionId]="gridNode.id"
        ></sqtm-app-requirement-version-details>
      }
    </div>
  </div>
}
